Subject: Peer Evaluation
From: "Jung Moon Jang" <[email-masked]>
To: "Brian Junker" <[email-masked]>
Date: Sat, 5 May 2012 19:37:57 -0400

Dear,Prof.Junker

Hello, professor. How are you doing?

I am extremely sorry about this late submission for peer evaluations. I
apologize. I should have remembered to turn it in yesterday. I am very
sorry.

It has been a great pleasure for me to learn from you and how survey
statistics is different from what I have learned so far in other classes.
I enjoyed it very much.

Once again, I am very sorry about this late submission.

Thank you and I hope you have a great summer.

Sincerely,

Jung Moon Jang